identify tool: only the first identified feature is highlighted

2009-11-29 03:18 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12223

Description

Open QGIS and add a vector layer. Then try the identify tool. Only the first identified feature is highlighted in the map canvas.

Moreover if the first time the tool is used it identifies more than one feature, then no feature at all is highlighted.

Adding a new vector or creating a new project has no effects, as no other feature will be highlighted when identified.

Tested with qgis trunk under Ubuntu and windows xp.

History

#1 - 2009-11-29 03:30 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

that intentional.  only the selected feature is highlighted.  in case of a single identified feature that feature is selected automatically.

#2 - 2009-11-29 03:48 AM - Giovanni Manghi

I'm sorry, I don't get it.

The identify tool do highlight (with the red border, if is a polygon) the selected feature (that is already highlighted in yellow) only if it is the first identified

feature.

If I select another feature I cannot see anymore the identify tool highlight the selected feature.

Moreover if the (single) feature I'm identifying is not already selected, then for me the identify tool do not select that feature automatically.

#3 - 2009-11-29 04:03 AM - Jürgen Fischer

Replying to [comment:2 lutra]:

The identify tool do highlight (with the red border, if is a polygon) the selected feature (that is already highlighted in yellow) only if it is the first

identified feature.

Sorry, I meant the selected feature from the identify results.
Moreover if the (single) feature I'm identifying is not already selected, then for me the identify tool do not select that feature automatically.

Ok, sorry again.  I thought you were stating that you get a highlight with just one feature, but none for more features.   You need to click on a feature in the

result window to get a highlight in any case.

#4 - 2009-11-29 04:09 AM - Jürgen Fischer

Replying to [comment:4 jef]:

Ok, sorry again.  I thought you were stating that you get a highlight with just one feature, but none for more features.   You need to click on a feature

in the result window to get a highlight in any case.

hm, strange, I thought I had found just that.  But looking again, you get a automatic selection/highlight in the single case.

#5 - 2009-11-29 04:23 AM - Giovanni Manghi

Replying to [comment:4 jef]:

You need to click on a feature in the result window to get a highlight in any case.

Ok now I understand, nevertheless I would expect (from my user point of view) that the identify tool would highlight the features without having the need to

click in the result pop up window.

In case of the tool getting more than one feature than see all the identified features highlighted. Then eventually highlight just a single one depending on

where the user clicks in the results pop-up window.

#6 - 2009-11-29 04:31 AM - Giovanni Manghi

hm, strange, I thought I had found just that.  But looking again, you get a automatic selection/highlight in the single case.

What I see is that the identify tool do not select any feature, and I don't expect the tool to do so.

The identify tool do not highlight the feature automatically either, but in this case I would expect the tool to do so, without having the need to click in the

result pop-up window.

Moreover I see the following:

If I'm using the identify tool and I have an highlighted feature when I activate to the "select feature" tool (by clicking the icon in the toolbar), then the

highlighted feature immediately... un-highlighted.

#7 - 2009-11-29 04:44 AM - Jürgen Fischer

Replying to [comment:7 lutra]:

hm, strange, I thought I had found just that.  But looking again, you get a automatic selection/highlight in the single case.

2024-04-27 2/3



Ouch.  That isn't any different from what I said before.  I meant to say that you don't get an automatic highlight.

And again I speak about the selection in the identify results.  The feature selection of the vector layer doesn't have anything to do with the identify tool.

From my view the highlight is only necessary, if you're unsure what you clicked on, otherwise it should be quite clear.

#8 - 2009-11-29 04:54 AM - Giovanni Manghi

Ouch.  That isn't any different from what I said before.  I meant to say that you don't get an automatic highlight.

ok :) as a fact I was puzzled...

And again I speak about the selection in the identify results.  The feature selection of the vector layer doesn't have anything to do with the identify

tool.

ok again

From my view the highlight is only necessary, if you're unsure what you clicked on, otherwise it should be quite clear.

This is where I disagree. But is just my opinion. I would find more useful to see the features automatically highlighted when clicked with the identify tool. I

would like also to see all the features automatically highlighted in case the identify tools get more than one.

Please have a look also to the above

"_Moreover I see the following: If I'm using the identify tool and I have an highlighted feature when I activate to the "select feature" tool (by clicking the icon

in the toolbar), then the highlighted feature is immediately... un-highlighted._"

to me this a small bug.
